#container([ngStyle]="{'height.px': algo?.frameHeight}")
  #firstPart(*ngIf="stepCount < 2")
    .gauche
      img(src="assets/excel.png", (dragstart)="onDragStart($event)")
      p Test with our&nbsp;
        a([href]="algo?.input.fileUrl", download, (click)="startDLInput()") data sample!
      .hand-anim([class.active]="stepCount === 0")
      #data-explain
        p {{ algo?.input.initialStatement }}
        ul
          li(*ngFor="let item of algo?.input.descriptions")
            | {{ item }}

    .droite
      nz-card(nzBordered="false")
        nz-form-label([nzSpan]="24")
          span {{ algo?.fileInputName }}
        nz-upload([nzBeforeUpload]="beforeUpload", nzListType="picture-card", nzType="drag", (drop)="onDrop($event)",
          [nzDisabled]="loading", [nzOpenFileDialogOnClick]="false")
          p(class="ant-upload-drag-icon")
            i(nz-icon, nzType="upload")
          p(class="ant-upload-text") {{ fileName | default : "Drop the test file here" }}
        ng-container(*ngFor="let param of algo?.parameters")
          nz-form-label([nzSpan]="24")
            span {{ param.name }}
          nz-form-control([nzSpan]="24")
            input([value]="param.value", disabled)
            span {{ param.description }}

        button.right(nz-button, nzType="primary", [disabled]="!fileName", [nzLoading]="loading", (click)="start()") Submit
        .hand-anim2([class.active]="stepCount === 1")
  #loading(*ngIf="stepCount === 2")
    i(nz-icon, nzType="loading", nzTheme="outline")
    p Wait for the magic to happen...
  #result(*ngIf="stepCount === 3")
    a([href]="algo?.output.fileUrl", download, (click)="startDLOutput()")
      img(src="assets/excel.png")
    p Here you go!
    #data-explain2
      p {{ algo?.output.initialStatement }}
      ul
        li(*ngFor="let item of algo?.output.descriptions")
          | {{ item }}
